Exchange a link for a session
POST
/v1/auth/login-link/consumeFor the adapt-mail.com sign-in page only: POST with Origin: https://adapt-mail.com. Returns session_id and HttpOnly cookies. Reused or expired link: HTTP 410.
Authentication and access · Errors and retries
Request
curl -X POST 'https://adapt-mail.com/v1/auth/login-link/consume' \ -H 'Origin: https://adapt-mail.com' \ -c cookies.txt \ -H 'Content-Type: application/json' \ --data '{"token":"<token>"}'Request body · application/json
object
tokenNecessarilystringpattern: "^[A-Za-z0-9_-]{43}$"
Unknown fields are not accepted.
Responses
200 Successful response
application/json
object
mailbox_idNecessarily- Option 1
integerOption 2null session_idNecessarilystring
Unknown fields are not accepted.
403 Request error
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
404 Request error
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
409 Request error
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
410 Request error
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
422 Request error
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
429 Request error
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
503 Request error
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject